Skip to main content
POST
/
storefront
/
customer-auth
/
register
Customer Register
curl --request POST \
  --url https://api.headlesscommerce.io/v1/storefront/customer-auth/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "password": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "phone": "<string>"
}
'
{
  "customer": {
    "id": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "phone": "<string>",
    "external_id": "<string>",
    "status": "active",
    "total_orders": 123,
    "total_spent": {
      "amount": 123,
      "currency": "<string>"
    },
    "tags": [
      "<string>"
    ],
    "addresses": [
      {
        "name": "<string>",
        "company": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>",
        "phone": "<string>"
      }
    ],
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z"
  },
  "token": "<string>"
}

Authorizations

Authorization
string
header
required

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

Body

application/json
email
string<email>
required
password
string
required
Minimum string length: 8
first_name
string
last_name
string
phone
string

Response

201 - application/json

Created

customer
object
token
string